List all emails

Returns a list of emails.

Query Params
string

A filter to target items by message_id.

string

A filter to target items by thread identifier.

boolean

Speed up the response by only returning the email metadata, excluding the body and attachments metadata.

boolean

Include the email headers in the response. meta_only must be false.

string
length ≥ 1

A cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved.

string

A filter to target items created before the datetime (exclusive). Must be an ISO 8601 UTC datetime (YYYY-MM-DDTHH:MM:SS.sssZ).

string

A filter to target items created after the datetime (exclusive). Must be an ISO 8601 UTC datetime (YYYY-MM-DDTHH:MM:SS.sssZ).

integer
1 to 250

A limit for the number of items returned in the response. The value can be set between 1 and 250.

string

A filter to target items sent to or received from a comma-separated list of email addresses.

string

A filter to target items related to a certain recipient, either in the to, cc or bcc field.

string

A filter to target items related to a certain sender.

string

A filter to exclude items from a comma-separated list of folder provider_id ( ignored if folder parameter is used ).

string

A filter to target items related to a certain folder provider_id.

string
required

A filter to target items related to a certain account.

Responses

Language
Credentials
Header
URL
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json